FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202005180840 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005180840 
ENV __doozer=merge OS_GIT_COMMIT=a795321 OS_GIT_VERSION=4.4.0-202005180840-a795321 SOURCE_DATE_EPOCH=1582307344 SOURCE_GIT_COMMIT=a795321efdc797f7b002d095c700e095b4cd9bb8 SOURCE_GIT_TAG=openshift-4.4.0-rc.1 SOURCE_GIT_URL=https://github.com/openshift/image-registry 
WORKDIR /go/src/github.com/openshift/image-registry
COPY . .
RUN hack/build-go.sh

FROM openshift/ose-base:v4.4.0.20200518.084100
ENV __doozer=update BUILD_RELEASE=202005180840 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005180840 
ENV __doozer=merge OS_GIT_COMMIT=a795321 OS_GIT_VERSION=4.4.0-202005180840-a795321 SOURCE_DATE_EPOCH=1582307344 SOURCE_GIT_COMMIT=a795321efdc797f7b002d095c700e095b4cd9bb8 SOURCE_GIT_TAG=openshift-4.4.0-rc.1 SOURCE_GIT_URL=https://github.com/openshift/image-registry 
RUN yum install -y rsync && yum clean all && rm -rf /var/cache/yum
COPY --from=builder /go/src/github.com/openshift/image-registry/_output/local/bin/dockerregistry /usr/bin/
COPY images/dockerregistry/config.yml /
RUN chmod a+w -R /etc/pki/ca-trust/extracted
USER 1001
EXPOSE 5000
VOLUME /registry
ENV REGISTRY_CONFIGURATION_PATH=/config.yml
ENTRYPOINT ["sh", "-c", "update-ca-trust && exec \"$@\"", "arg0"]
CMD ["/usr/bin/dockerregistry"]

LABEL \
        io.k8s.display-name="OpenShift Container Platform Image Registry" \
        io.k8s.description="This is a component of OpenShift Container Platform and exposes a container registry that is integrated with the cluster for authentication and management." \
        io.openshift.tags="openshift,container,image,registry" \
        License="GPLv2+" \
        vendor="Red Hat" \
        name="openshift/ose-docker-registry" \
        com.redhat.component="openshift-enterprise-registry-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Image Registry" \
        version="v4.4.0" \
        release="202005180840" \
        io.openshift.build.commit.id="a795321efdc797f7b002d095c700e095b4cd9bb8" \
        io.openshift.build.source-location="https://github.com/openshift/image-registry" \
        io.openshift.build.commit.url="https://github.com/openshift/image-registry/commit/a795321efdc797f7b002d095c700e095b4cd9bb8"

